%global __requires_exclude	^libcrypto\.so\..*\\(.*\\)
%global __provides_exclude_from	^(%{_libdir}/%{name}/native/.*\\.so|%{_javadir}/%{name}/.*)$

%define buildversion	5390

Name:		jitsi
Version:	2.6
%define subrel	1
Release:	%mkrel 1
Summary:	Open Source Video Calls And Chat
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://jitsi.org/
Source0:	https://download.jitsi.org/jitsi/src/%{name}-src-%{version}.%{buildversion}.zip
Patch0:		jitsi-2.6-mga-fix_bin_file_path.patch
Patch1:		jitsi-2.6-mga-fix_man_file_package-name.patch
Patch2:		jitsi-2.6-mga-fix_desktop_file_package-name.patch
Patch3:		jitsi-2.6-CVE-2017-5603.patch

BuildRequires:	ant
BuildRequires:	desktop-file-utils
BuildRequires:	git-core
BuildRequires:	gzip
BuildRequires:	java-devel >= 1.8.0

Requires:	java-1.8.0-openjdk


%description
Jitsi is an audio/video Internet phone and instant messenger that
supports some of the most popular instant messaging and telephony protocols
such as SIP, Jabber, AIM/ICQ, MSN, Yahoo! Messenger, Bonjour, RSS and
counting. Jitsi is completely Open Source / Free Software, and is
freely available under the terms of the GNU Lesser General Public License.


%prep
%setup -q -n %{name}
%apply_patches

%build
%ant -Dlabel=%{buildversion} rebuild

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_iconsdir}/hicolor/scalable/apps
mkdir -p %{buildroot}%{_javadir}/%{name}/lib/bundle
mkdir -p %{buildroot}%{_javadir}/%{name}/sc-bundles
mkdir -p %{buildroot}%{_libdir}/%{name}/native

# copy the documentation
cp -pr resources/install/debian/jitsi.1.tmpl %{buildroot}%{_mandir}/man1/%{name}.1
gzip %{buildroot}%{_mandir}/man1/%{name}.1

# copy the launcher script
install -m 755 resources/install/debian/jitsi.sh.tmpl %{buildroot}%{_bindir}/%{name}

# copy the menu icons
cp -pr resources/install/debian/jitsi-32.xpm %{buildroot}%{_datadir}/pixmaps/%{name}-32.xpm
cp -pr resources/install/debian/jitsi-16.xpm %{buildroot}%{_datadir}/pixmaps/%{name}-16.xpm
cp -pr resources/install/debian/jitsi.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# copy the menu entry
cp -pr resources/install/debian/jitsi.desktop.tmpl %{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install \
	--dir %{buildroot}%{_datadir}/applications \
	--set-icon=%{name} \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

# copy the sc-bundles
cp -pr sc-bundles/*.jar %{buildroot}%{_javadir}/%{name}/sc-bundles/
# remove all slicks
rm -rf %{buildroot}%{_javadir}/%{name}/sc-bundles/*-slick.jar
rm -rf %{buildroot}%{_javadir}/%{name}/sc-bundles/slick*.jar

# copy the os-specific sc-bundles
cp -pr sc-bundles/os-specific/linux/*.jar %{buildroot}%{_javadir}/%{name}/sc-bundles/

# copy the lib jars
cp -pr lib/*.jar %{buildroot}%{_javadir}/%{name}/lib/
cp -pr lib/bundle/* %{buildroot}%{_javadir}/%{name}/lib/bundle/
rm -rf %{buildroot}%{_javadir}/%{name}/lib/bundle/junit.jar

# copy the native libs
%ifarch i386 i586 i686
cp -pr lib/native/linux/* %{buildroot}%{_libdir}/%{name}/native/
%else
cp -pr lib/native/linux-64/* %{buildroot}%{_libdir}/%{name}/native/
%endif

# copy the resources
cp -pr resources/install/logging.properties %{buildroot}%{_libdir}/%{name}/
cp -pr lib/felix.client.run.properties %{buildroot}%{_libdir}/%{name}/
cp -pr lib/jitsi-defaults.properties %{buildroot}%{_libdir}/%{name}/
cp -pr resources/install/resources/splash.gif %{buildroot}%{_javadir}/%{name}/

if [ -f lib/jitsi-default-overrides.properties ]
	then
	cp -pr lib/jitsi-default-overrides.properties %{buildroot}%{_libdir}/%{name}/
fi

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_javadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}*
%{_iconsdir}/hicolor/*/*/%{name}.svg
%{_mandir}/man1/%{name}.1.xz


%changelog
* Sun Feb 12 2017 daviddavid <daviddavid> 2.6-1.1.mga5
+ Revision: 1085882
- add upstream patch to fix CVE-2017-5603 (mga#20273)

* Mon Feb 02 2015 daviddavid <daviddavid> 2.6-1.mga5
+ Revision: 813090
- new version: 2.6 build 5390 (stable build)
- rename and rediff all patches

* Wed Jan 28 2015 daviddavid <daviddavid> 2.5-14.mga5
+ Revision: 812635
- new build version: 5389 (nightly builds)

* Tue Jan 06 2015 daviddavid <daviddavid> 2.5-13.mga5
+ Revision: 808859
- new build version: 5375 (nightly builds)
- exclude all unneeded provides

* Thu Dec 11 2014 daviddavid <daviddavid> 2.5-12.mga5
+ Revision: 802751
- new build version: 5367 (nightly builds)

* Fri Nov 28 2014 daviddavid <daviddavid> 2.5-11.mga5
+ Revision: 799722
- new build version: 5350 (nightly builds)

* Sun Nov 09 2014 daviddavid <daviddavid> 2.5-10.mga5
+ Revision: 796136
- new build version: 5336 (nightly builds)

* Sun Oct 19 2014 daviddavid <daviddavid> 2.5-9.mga5
+ Revision: 791830
- new build version: 5321 (nightly builds)

* Wed Oct 15 2014 umeabot <umeabot> 2.5-8.mga5
+ Revision: 746326
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 wally <wally> 2.5-7.mga5
+ Revision: 730657
- add require excludes

* Sat Sep 27 2014 daviddavid <daviddavid> 2.5-6.mga5
+ Revision: 725987
- new build version: 5306 (nightly builds)

* Tue Sep 16 2014 umeabot <umeabot> 2.5-5.mga5
+ Revision: 680816
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 daviddavid <daviddavid> 2.5-4.mga5
+ Revision: 673698
- new build version: 5295 (nightly builds)

* Thu Aug 28 2014 daviddavid <daviddavid> 2.5-3.mga5
+ Revision: 669119
- rediff patch 2 (fix_desktop_file_package-name)
- update file list
- new build version: 5290 (nightly builds)

* Sat Aug 16 2014 daviddavid <daviddavid> 2.5-2.mga5
+ Revision: 663984
- new build version: 5277 (nightly builds)

* Thu Aug 07 2014 daviddavid <daviddavid> 2.5-1.mga5
+ Revision: 660799
- rename patches (P0, P1, P2)
- rediff Patch0 to fix new binary file
- improve the description
- add BR on git-core
- add a splash gif file for opening of jitsi
- new version: 2.5 build 5269 (nightly builds)

* Tue Aug 05 2014 luigiwalser <luigiwalser> 2.4-2.mga5
+ Revision: 659861
- switch to java-1.8.0-openjdk

* Sun Mar 16 2014 david-david <david-david> 2.4-1.mga5
+ Revision: 604098
- add patches to remove 'sed' commands (bin, man and desktop files)
- use correct '.jar' files directory
- use correct library files directory
- imported package jitsi

